## rootskel 1.48ubuntu2

=== debian/changelog ===
rootskel (1.48ubuntu2) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Mar 2007 23:25:39 +0000

rootskel (1.48ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Call setupcon from /etc/profile if it's available and
      /etc/default/console-setup exists.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Jan 2007 14:05:22 +0000

rootskel (1.48) unstable; urgency=low

  [ Sylvain Ferriol ]
  * Klibc timeout does not work for all arches, so we reduce the usb keyboard
    support to i386. Closes: #402746.
  * Better root disk label test in bootfloppy init script.
  * Define KLIBC_SELECT C flag in timeout_read.c for i386.

 -- Frans Pop <fjp@debian.org>  Sat, 23 Dec 2006 20:34:42 +0100

rootskel (1.47ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Call setupcon from /etc/profile if it's available and
      /etc/default/console-setup exists.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Dec 2006 10:44:13 +0000

rootskel (1.47) unstable; urgency=low

  * Raise memory requirement for graphical installer to 128MiB for powerpc.
  * Don't enable graphical frontend if GTK_NOVESA is set (see rootskel-gtk).

 -- Frans Pop <fjp@debian.org>  Mon, 11 Dec 2006 23:43:03 +0100

rootskel (1.46) unstable; urgency=low

  [ Sylvain Ferriol ]
  * Add a timeout in the prompt for the root floppy so that users can still
    proceed from boot to root floppy even when they have a USB keyboard (which
    is not supported by the root floppy due to lack of space).

  [ Petter Reinholdtsen ]
  * Remove myself as uploader.

  [ Otavio Salvador ]
  * Truncate the comment on S05fancontrol-linux-powerpc since the aircraft
    noise level doesn't happen on all powerpc machines. Suggested by
    Holger Levsen <debian@layer-acht.org>.

  [ Frans Pop ]
  * init-debug: remove shebang as script is sourced, not executed.

 -- Frans Pop <fjp@debian.org>  Sat,  9 Dec 2006 18:00:12 +0100

rootskel (1.45) unstable; urgency=low

  [ Otavio Salvador ]
  * Applied patch from Sven Luther to load fan control modules for G5 Apple
    systems, but with trivial fix to remove an unrelated change.
    Closes: #394971.

 -- Frans Pop <fjp@debian.org>  Fri, 24 Nov 2006 21:09:52 +0100

rootskel (1.44) unstable; urgency=low

  * Revert to previous known good version as upload was against agreement,
    violates basic NMU rules and patch was broken.

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 15:44:25 +0100

rootskel (1.43) unstable; urgency=low

  [ Sven Luther ]
  * Added S05fancontrol-linux-powerpc, in order to actually load the
    fancontrol modules, in order to not have G5 apple box go into aircraft
    noise level a few minutes after the start of the installation.

 -- Sven Luther <luther@debian.org>  Sun, 19 Nov 2006 10:59:02 +0100

rootskel (1.42) unstable; urgency=low

  [ Sylvain Ferriol ]
  * Include klibc-utils in src-rootskel. cpio binary and klibc-utils share
    the same klibc library. Closes: #394079, #398255.

 -- Frans Pop <fjp@debian.org>  Thu, 16 Nov 2006 05:46:50 +0100

rootskel (1.41ubuntu1) feisty; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Oct 2006 10:51:17 +0100

rootskel (1.41) unstable; urgency=low

  * Rebuild against klibc 1.4.29-1 to make cpio in rootskel-bootfloppy work
    again.

 -- Frans Pop <fjp@debian.org>  Wed, 18 Oct 2006 13:23:34 +0200

rootskel (1.40) unstable; urgency=low

  [ Sylvain Ferriol ]
  * src-bootfloppy/init: recode the whole script; it now uses klibc.
    usb floppy code has been retired because the 2.6 kernel is too big
    so the usb floppy drivers cannot be included in boot floppy.

 -- Frans Pop <fjp@debian.org>  Fri, 13 Oct 2006 03:52:42 +0200

rootskel (1.39) unstable; urgency=low

  * No longer set LANGUAGE; the default language is now set in cdebconf-udeb
    and main-menu makes sure it is honoured when a new frontend is started.
    Closes: #381142.

 -- Frans Pop <fjp@debian.org>  Fri,  6 Oct 2006 03:15:49 +0200

rootskel (1.38) unstable; urgency=low

  * Selectively enable framebuffer on sparc.
  * Add support for debian-installer/theme boot parameter.

 -- Frans Pop <fjp@debian.org>  Sun, 24 Sep 2006 02:41:31 +0200

rootskel (1.37) unstable; urgency=low

  [ Matt Kraai ]
  * Fix syntax error in /etc/profile.

 -- Frans Pop <fjp@debian.org>  Wed, 13 Sep 2006 18:47:58 +0200

rootskel (1.36) unstable; urgency=low

  [ Colin Watson ]
  * Now that /var/log/messages has been retired, replace its tail with
    another convenience shell; it can be useful to look at more than one
    thing at once, or to kill a process that wedged your shell on tty2.

  [ Frans Pop ]
  * Apparently we need to set the keyboard mode separately for the convenience
    shells.

 -- Frans Pop <fjp@debian.org>  Sun, 10 Sep 2006 10:22:59 +0200

rootskel (1.35) unstable; urgency=low

  [ Colin Watson ]
  * src/lib/debian-installer/init-udev-devices, src/sbin/init: Create/remove
    normal device names as well as devfs names.

  [ Frans Pop ]
  * Remove countcpus-linux-x86 as it never really worked and is no longer
    needed with smp-alternatives enabled in the kernel for 2.6.17.
  * Add /etc/profile to set VT2 in UTF-8 mode if needed.
  * Make shell on VT2 a login shell so that /etc/profile will be sourced.
  * Set LANG and LANGUAGE to sensible defaults always; should fix dialogs in
    some cases where localechooser is not run (e.g. country selection lists
    on S/390).

 -- Frans Pop <fjp@debian.org>  Wed, 23 Aug 2006 00:03:20 +0200

rootskel (1.34) unstable; urgency=low

  [ Frans Pop ]
  * Also create lib64 symlink for ppc64. Closes: #365203.
  * Add missing dependency on debconf.
  * Add Lintian override for standards-version.
  * Add myself to uploaders.

  [ Sven Luther ]
  * Add support for /dev/hvsi* (non-virtual) serial consoles on recent IBM


=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Matt Kraai <kraai@debian.org>, Colin Watson <cjwatson@debian.org>, Kenshi Muto <kmuto@debian.org>, Bastian Blank <waldi@debian.org>, Bdale Garbee <bdale@gag.com>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libklibc-dev (>= 1.4.29), klibc-utils (>= 1.4.29)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.24), ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: any
Description: Skeleton root filesystem used by debian-installer boot floppy

## rootskel 1.50

=== src-bootfloppy/Makefile ===
dir =

subdirs = \
	bin

subdirs_empty = \
	dev \
	floppy \
	initrd \
	lib \
	mnt \
	proc \
	sys

files_exec = \
	init \
	lib:/lib/klibc-*.so


include ../Makefile.inc

=== src-bootfloppy/bin/Makefile ===
ARCH := $(shell dpkg --print-architecture)

dir = bin
files_exec = \
	sh:/usr/lib/klibc/bin/sh.shared \
	mount:/usr/lib/klibc/bin/mount \
	insmod:/usr/lib/klibc/bin/insmod \
	mknod:/usr/lib/klibc/bin/mknod \
	mkdir:/usr/lib/klibc/bin/mkdir \
	cat:/usr/lib/klibc/bin/cat \
	umount:/usr/lib/klibc/bin/umount \
	zcat:/usr/lib/klibc/bin/zcat \
	run-init:/usr/lib/klibc/bin/run-init \
	uname:/usr/lib/klibc/bin/uname \
	cpio \
	timeout_read

CC=klcc
CFLAGS= 
LDFLAGS=-shared -s
OBJS=$(subst .c,.o,$(wildcard *.c))
BIN=cpio timeout_read
LIBS=

ifeq ($(ARCH),i386)
CFLAGS += -DKLIBC_SELECT 
endif

build-local:: $(BIN)

$(BIN): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $@.o $(LIBS)

clean:
	-rm -f $(BIN) $(OBJS) *~

include ../../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
dir = lib/debian-installer-startup.d

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files = \
	S01mount \
	S02module-params \
	S02udev-fixup \
	S03hotplug \
	S10syslog \
	S20templates \
	S35term

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
    files += \
	S05acpi-linux-x86 \
	S40framebuffer-module-linux-x86
   endif
  
  ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
    files += \
	S05fancontrol-linux-powerpc \
	S45keyboard-linux-powerpc
  endif
  
  ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-mips
   endif

  ifneq (,$(filter alpha,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-alpha \
	S04countcpus-linux-alpha
   endif
endif

include ../../../Makefile.inc

=== src/lib/debian-installer/Makefile ===
dir = lib/debian-installer

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files = \
	init-debug

files_exec = \
	coldplug \
	exit \
	exit-command \
	init-udev-devices \
	menu

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifeq ($(DEB_HOST_ARCH_CPU),s390)
    files += \
	detect-console:detect-console-linux-s390
  else
    files += \
	detect-console:detect-console-linux
  endif
endif

include ../../../Makefile.inc

=== debian/changelog ===
rootskel (1.50) unstable; urgency=low

  * Add new debian-installer/allow_unauthenticated template, will be used by
    choose-mirror and base-installer to allow forcing installation even if
    the mirror doesn't auth.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Feb 2007 16:11:25 -0500

rootskel (1.49) unstable; urgency=low

  * Support blacklisting of modules from the boot prompt using the syntax
    "module.blacklist=". The value can be anything.
    Requires di-utils (>=1.43).

 -- Frans Pop <fjp@debian.org>  Sat,  6 Jan 2007 14:51:03 +0100

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Matt Kraai <kraai@debian.org>, Colin Watson <cjwatson@debian.org>, Kenshi Muto <kmuto@debian.org>, Bastian Blank <waldi@debian.org>, Bdale Garbee <bdale@gag.com>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libklibc-dev (>= 1.4.29), klibc-utils (>= 1.4.29)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.43), ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: any
Description: Skeleton root filesystem used by debian-installer boot floppy

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

build: build-stamp debian/templates
build-stamp:
	dh_testdir

	$(MAKE) build

	touch $@

debian/templates: debian/templates-arch
	debian/templates-build.pl $(DEB_HOST_ARCH) < $< > $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean
	rm -f debian/templates

	dh_clean

install: build
	dh_testdir
	dh_testroot

	$(MAKE) install
ifneq (,$(findstring $(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64 ppc64))
	ln -s /lib debian/rootskel/lib64
endif

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms --exclude /lib/klibc-*.so
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rootskel 1.54

=== debian/changelog ===
rootskel (1.54) unstable; urgency=low

  * Switch inittab to use /dev/ttyX instead of devfs equivalents /dev/vc/X.

 -- Frans Pop <fjp@debian.org>  Sun, 01 Jul 2007 09:21:49 +0200

rootskel (1.53) unstable; urgency=low

  * Prepare for console-setup: call setupcon from /etc/profile if it's
    available and /etc/default/console-setup exists.
  * Set DEBCONF_DROP_TRANSLATIONS=1 when starting the menu. Requires
    cdebconf 0.117 to take effect, but won't break with earlier versions.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jun 2007 22:03:30 +0100

rootskel (1.52) unstable; urgency=low

  * S02module-params: allow for module paramenters with an '=' in them.
    Thanks to Damián Viano. Closes: #284425.

 -- Frans Pop <fjp@debian.org>  Mon, 21 May 2007 17:00:30 +0200

rootskel (1.51) unstable; urgency=low

  [ David Härdeman ]
  * Use cpio and read -t from klibc 1.5. Closes: #417439.

 -- Frans Pop <fjp@debian.org>  Sat, 21 Apr 2007 01:21:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Matt Kraai <kraai@debian.org>, Colin Watson <cjwatson@debian.org>, Kenshi Muto <kmuto@debian.org>, Bastian Blank <waldi@debian.org>, Bdale Garbee <bdale@gag.com>, Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libklibc-dev (>= 1.4.29), klibc-utils (>= 1.4.29)
+Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel
 
 Package: rootskel
@@ -16,4 +16,5 @@
 XC-Package-Type: udeb
 Priority: extra
 Architecture: any
+Depends: klibc-utils-floppy-udeb (>= 1.5-2)
 Description: Skeleton root filesystem used by debian-installer boot floppy

## rootskel 1.58ubuntu2

=== Makefile ===
subdirs = \
	src \
	src-bootfloppy

build: build-recursive

install:
	@$(MAKE) install -C src DESTDIR=$(CURDIR)/debian/rootskel/
	@$(MAKE) install -C src-bootfloppy DESTDIR=$(CURDIR)/debian/rootskel-bootfloppy/

clean: clean-recursive

build-recursive clean-recursive:
	@target=`echo $@ | sed s/-recursive//`; \
	list='$(subdirs)'; \
	for subdir in $$list; do \
	  echo "Making install in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

=== src-bootfloppy/Makefile ===
dir =

subdirs_empty = \
	dev \
	floppy \
	initrd \
	lib \
	mnt \
	proc \
	sys

files_exec = \
	init


include ../Makefile.inc

=== src/Makefile ===
dir =

subdirs = \
	etc \
	lib \
	sbin \
	var

subdirs_empty = \
	dev \
	floppy \
	initrd \
	mnt \
	proc \
	sys \
	usr/lib/prebaseconfig.d

files_exec = \
	init
     
include ../Makefile.inc

=== src/sbin/Makefile ===
dir = sbin

files_exec = \
	debian-installer \
	debian-installer-startup \
	shutdown \
	init

include ../../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -17,8 +17,6 @@
 files = \
 	S01mount \
 	S02module-params \
-	S02udev-fixup \
-	S03hotplug \
 	S10syslog \
 	S20templates \
 	S35term
@@ -46,6 +44,12 @@
 	S40framebuffer-module-linux-alpha \
 	S04countcpus-linux-alpha
    endif
+
+  ifneq (,$(filter arm,$(DEB_HOST_ARCH_CPU)))
+    files += \
+	S02netwinder-net
+   endif
+
 endif
 
 include ../../../Makefile.inc

=== src/lib/debian-installer.d/Makefile ===
dir = lib/debian-installer.d

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files += \
	S30term \
	S60frontend \
	S65theme \
	S72menu-exit

ifeq ($(DEB_HOST_ARCH_CPU),sparc)
  files += \
	S34framebuffer-linux-sparc
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq ($(DEB_HOST_ARCH_CPU),s390)
    files += \
	S35framebuffer-linux
  endif

  files += \
	S40term-linux \
	S70menu-linux
else
  files += \
	S70menu
endif

include ../../../Makefile.inc

=== src/lib/debian-installer/Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 	init-debug
 
 files_exec = \
-	coldplug \
 	exit \
 	exit-command \
 	init-udev-devices \

=== debian/changelog ===
rootskel (1.58ubuntu2) hardy; urgency=low

  * init: Add support for disabling the shells on tty2 and tty3 by specifying
    a 'noshell' -option on the kernel cmdline. Useful for unattended
    installations on a public place.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 06 Feb 2008 16:53:35 +0200

rootskel (1.58ubuntu1) hardy; urgency=low

  [ Matt T. Proud ]
  * debian-installer-startup.d/S10syslog: Provide the ability to choose a
    remote logging host and port if specified on the kernel command line
    (LP: #184130).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Feb 2008 17:07:06 +0000

rootskel (1.58) unstable; urgency=low

  [ dann frazier ]
  * Create more serial device files in the ramdisk before calling
    busybox init, in case they are needed for a serial console.
    Closes: #453749.

  [ Frans Pop ]
  * Remove some code supporting kernels other than 2.6.
  * Minor whitespace and coding style changes.
  * Remove obsolete d-i-startup.d/S03hotplug and the coldplug script it calls.

 -- Otavio Salvador <otavio@debian.org>  Thu, 31 Jan 2008 08:58:22 -0200

rootskel (1.57) unstable; urgency=low

  * debian-installer-startup.d/S02netwinder-net: restructure so
    I don't need to exit or return from the script.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 29 Nov 2007 09:47:33 +0100

rootskel (1.56) unstable; urgency=low

  [ Frans Pop ]
  * Remove S02udev-fixup; /.dev seems no longer needed.

  [ Martin Michlmayr ]
  * Add a udev rules file for Netwinder so the Ethernet interfaces will
    use the same naming scheme as used by the Netwinder firmware.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 17 Nov 2007 17:17:58 +0100

rootskel (1.55) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Cleanup devfs-style device names.

 -- Otavio Salvador <otavio@debian.org>  Tue, 11 Sep 2007 09:25:42 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: rootskel
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Matt Kraai <kraai@debian.org>, Colin Watson <cjwatson@debian.org>, Kenshi Muto <kmuto@debian.org>, Bastian Blank <waldi@debian.org>, Bdale Garbee <bdale@gag.com>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0)
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel
 
 Package: rootskel
 XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	dh_installdebconf
 	dh_strip
 	dh_compress
-	dh_fixperms --exclude /lib/klibc-*.so
+	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## rootskel 1.62ubuntu1

=== src/Makefile ===
--- 
+++ 
@@ -12,8 +12,7 @@
 	initrd \
 	mnt \
 	proc \
-	sys \
-	usr/lib/prebaseconfig.d
+	sys
 
 files_exec = \
 	init

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -37,18 +37,23 @@
   ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH_CPU)))
     files += \
 	S40framebuffer-module-linux-mips
-   endif
+  endif
 
   ifneq (,$(filter alpha,$(DEB_HOST_ARCH_CPU)))
     files += \
 	S40framebuffer-module-linux-alpha \
 	S04countcpus-linux-alpha
-   endif
+  endif
 
   ifneq (,$(filter arm,$(DEB_HOST_ARCH_CPU)))
     files += \
 	S02netwinder-net
-   endif
+  endif
+
+  ifneq (,$(filter hppa,$(DEB_HOST_ARCH_CPU)))
+    files += \
+	S04countcpus-linux-hppa
+  endif
 
 endif

=== debian/changelog ===
rootskel (1.62ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.
    - init: Add support for disabling the shells on tty2 and tty3 by
      specifying a 'noshell' option on the kernel cmdline. Useful for
      unattended installations on a public place.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Jun 2008 19:53:07 +0100

rootskel (1.62) unstable; urgency=low

  [ Frans Pop ]
  * Remove Bdale Garbee, Kenshi Muto and Matt Kraai as Uploaders with many
    thanks for their past contributions.

  [ Joey Hess ]
  * Fix FTBFS on alpha.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Apr 2008 21:02:30 -0400

rootskel (1.61) unstable; urgency=low

  [ Frans Pop ]
  * S35term: script is sourced, so remove the shebang.
  * S35framebuffer-linux: export TERM_FRAMEBUFFER so that can be used to test
    whether framebuffer is available or not (e.g. in localechooser).

  [ Joey Hess ]
  * Translated bootfloppy init to a C program, this allows dropping
    the shell from the boot floppy to save space.

 -- Frans Pop <fjp@debian.org>  Fri, 04 Apr 2008 21:04:34 +0200

rootskel (1.60) unstable; urgency=low

  [ Frans Pop ]
  * S40framebuffer-module-linux-alpha: remove redundant architecture test.
  * S40framebuffer-module-linux-x86: allow for the fact that vesafb and fbcon
    can be (and are) compiled in for i386 and amd64 kernels.

  [ Joey Hess ]
  * Fix debugshell on boot floppy, there is no sh command, have to use the
    klibc sh.
  * Rewrite boot floppy init to try to load a cpio archive direct from the
    floppy with no encapsulating filesystem. This will save space by 
    allowing modularising ext2 in the kernel.
  * There's no sleep command on the boot floppy, don't try to use it.

 -- Joey Hess <joeyh@debian.org>  Mon, 31 Mar 2008 18:33:51 -0400

rootskel (1.59) unstable; urgency=low

  [ Frans Pop ]
  * Fix number of CPUs count for alpha.
  * Add number of CPUs count for hppa. Thanks to Grant Grundler for his
    suggestion how that could be done.
  * Stop creating /usr/lib/prebaseconfig.d; it was deprecated ages ago.

  [ Joey Hess ]
  * Modify init to support userdevfs again.

  [ Frans Pop ]
  * Use new busybox' cttyhack in /etc/inittab to ensure that the console
    gets identified correctly as a tty for the init scripts.
    Requires: busybox (>= 1:1.9.1-3).

 -- Frans Pop <fjp@debian.org>  Sat, 22 Mar 2008 23:14:41 +0100

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libklibc-dev
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.43), ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: any
Depends: klibc-utils-floppy-udeb (>= 1.5-2), libklibc-udeb
Description: Skeleton root filesystem used by debian-installer boot floppy

## rootskel 1.73

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,6 @@
 	@target=`echo $@ | sed s/-recursive//`; \
 	list='$(subdirs)'; \
 	for subdir in $$list; do \
-	  echo "Making install in $$subdir"; \
 	  (cd $$subdir && $(MAKE) $$target) || exit 1; \
 	done

=== src-bootfloppy/Makefile ===
dir =

subdirs_empty = \
	dev \
	initrd \
	lib \
	mnt \
	proc \
	sys

files_exec = \
	init

build: init

init: init.c
	klcc -Os -Wall -shared init.c -o init

clean:
	rm -f init

include ../Makefile.inc

=== src/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 subdirs_empty = \
 	dev \
-	floppy \
+	media \
 	initrd \
 	mnt \
 	proc \

=== src/etc/Makefile ===
dir = etc

# backward compatibility
subdirs_empty = rcS.d

files = \
	fstab \
	group \
	inittab \
	modules.conf \
	nsswitch.conf \
	passwd \
	profile

install-local:: $(outdir)
	ln -fs /proc/mounts $(outdir)/mtab

include ../../Makefile.inc

=== src/sbin/Makefile ===
dir = sbin

files_exec = \
	debian-installer \
	debian-installer-startup \
	shutdown \
	init \
	reopen-console \
	console-type \
	steal-ctty

console-type: console-type.c
	gcc -Os -Wall console-type.c -o console-type

steal-ctty: steal-ctty.c
	gcc -Os -Wall steal-ctty.c -o steal-ctty

build: console-type steal-ctty

clean:
	rm -f console-type steal-ctty

include ../../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -19,7 +19,8 @@
 	S02module-params \
 	S10syslog \
 	S20templates \
-	S35term
+	S35term \
+	S37speakup
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
@@ -33,10 +34,11 @@
 	S05fancontrol-linux-powerpc \
 	S45keyboard-linux-powerpc
   endif
-  
-  ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH_CPU)))
+
+  ifneq (,$(filter mipsel,$(DEB_HOST_ARCH_CPU)))
     files += \
-	S40framebuffer-module-linux-mips
+	S59cobalt-welcome \
+	S80anna-install-mipsel
   endif
 
   ifneq (,$(filter alpha,$(DEB_HOST_ARCH_CPU)))
@@ -52,7 +54,14 @@
 
   ifneq (,$(filter hppa,$(DEB_HOST_ARCH_CPU)))
     files += \
-	S04countcpus-linux-hppa
+	S04countcpus-linux-hppa \
+	S45keyboard-linux-hppa
+  endif
+
+  ifneq (,$(filter arm armel,$(DEB_HOST_ARCH_CPU)))
+    files += \
+	S80anna-install-armel \
+	S99signal-status
   endif
 
 endif

=== src/lib/debian-installer.d/Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 endif
 
 files += \
+	S20speakup \
 	S30term \
 	S60frontend \
 	S65theme \

=== src/lib/debian-installer/Makefile ===
--- 
+++ 
@@ -20,7 +20,6 @@
 files_exec = \
 	exit \
 	exit-command \
-	init-udev-devices \
 	menu
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)

=== debian/changelog ===
rootskel (1.73) unstable; urgency=low

  * hppa: load hilkbd module and register the module for inclusion in initrd
    for the target system. Closes: #416208.

 -- Frans Pop <fjp@debian.org>  Sat, 27 Dec 2008 04:36:06 +0000

rootskel (1.72) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add missing copyright statements for steal-ctty.
  * steal-ctty: add missing #include for perror(). 

  [ Frans Pop ]
  * reopen-console: fix syntax error.

 -- Frans Pop <fjp@debian.org>  Sat, 13 Dec 2008 13:45:26 +0100

rootskel (1.71) unstable; urgency=low

  * Add a check in reopen-console that the console reported as "handed over"
    is of the correct type. In some cases dmesg reports a virtual console,
    while the actual console the init process is running on is serial.
    A simplified version of busybox' cttyhack is used to perform the check.
    Closes: #504721.

 -- Frans Pop <fjp@debian.org>  Fri, 05 Dec 2008 14:08:21 +0100

rootskel (1.70) unstable; urgency=low

  * Support real devices for console on s390. (closes: #504760)

 -- Bastian Blank <waldi@debian.org>  Sat, 29 Nov 2008 22:02:53 +0100

rootskel (1.69) unstable; urgency=low

  [ Frans Pop ]
  * reopen-console: ignore consoles found in boot messages for which no
    device file exists. Closes: #499030.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 21 Sep 2008 08:33:47 +0000

rootskel (1.68) unstable; urgency=low

  [ Martin Michlmayr ]
  * Load required udebs for the NSLU2 automatically (partman-auto,
    partman-ext3 and usb-storage-modules).   (Closes: #498795)
  * Load required udebs for the Cobalt automatically (partman-auto,
    partman-ext2r0 and partman-ext3).
  * Remove S40framebuffer-module-linux-mips since framebuffer on
    SB1 machines never worked.
  * Move S59cobalt-welcome from cobalt-scripts to rootskel since
    cobalt-scripts only contains this single script.

  [ Jérémy Bobbio ]
  * reopen-console: Save the console device found from kernel messages in
    /var/run/console-device as it is possible that those would be unavailable
    later on.
  * Move back the switch from /dev/console to the real console device in
    /etc/inittab as doing it before calling init does not really work.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 15 Sep 2008 09:35:44 +0300

rootskel (1.67) unstable; urgency=low

  [ Martin Michlmayr ]
  * Update the initrd init to use start-udev/reopen-console.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 04 Sep 2008 10:19:48 +0300

rootskel (1.66) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Start udev before running init.
    Depends: udev-udeb (>= 0.125-6)
  * Rework the switch from /dev/console to the real console device
    (e.g. /dev/tty0).  (Closes: #484366)
    Breaks: cdebconf-gtk-udeb (<< 0.134)

 -- Otavio Salvador <otavio@debian.org>  Thu, 28 Aug 2008 10:16:15 -0300

rootskel (1.65) unstable; urgency=low

  [ Colin Watson ]
  * Add debian-installer/exit/poweroff to run poweroff rather than reboot or
    halt at the end of the installation. Requested by Crispin Flowerday.

  [ Martin Michlmayr ]
  * Only set DEBCONF_DROP_TRANSLATIONS=1 if it is not set yet.  This
    allows others (e.g. oldsys-preseed) to set the variable to 0 before
    S70menu is run.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 23 Aug 2008 21:38:50 +0300

rootskel (1.64) unstable; urgency=low

  [ Samuel Thibault ]
  * Add basic support for speakup (voice synthesis for accessibility).

  [ Martin Michlmayr ]
  * Add a startup script to change the LED on the HP mv2120 to indicate
    the status of d-i.

  [ Frams Pop ]
  * Stop the udev daemon before unmounting file systems when D-I is shut down.
    Not doing so results in errors with udev 0.124. Closes: #490924.

 -- Frans Pop <fjp@debian.org>  Wed, 16 Jul 2008 13:51:29 +0200

rootskel (1.63) unstable; urgency=low

  [ Joey Hess ]
  * Rename toplevel /floppy mountpoint to /media, as used by the newly
    renamed mountmedia.

  [ Frans Pop ]
  * Apply patch from Samuel Thibault to also expose the theme to the text
    frontend. Closes: #488493.

 -- Joey Hess <joeyh@debian.org>  Mon, 07 Jul 2008 14:03:14 -0400

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libklibc-dev
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.43), udev-udeb (>= 0.125-6), ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: any
Depends: klibc-utils-floppy-udeb (>= 1.5-2), libklibc-udeb
Description: Skeleton root filesystem used by debian-installer boot floppy

## rootskel 1.73ubuntu2

=== debian/changelog ===
rootskel (1.73ubuntu2) jaunty; urgency=low

  * Use 'update-dev --settle' rather than 'update-dev' after loading fbcon
    module. Requires di-utils 1.66.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Mar 2009 18:30:23 +0000

rootskel (1.73ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian (thanks to Alessio Treglia for a similar
    attempt, though I'm doing this independently since rootskel is
    maintained in bzr; LP: #309949). Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.
    - init: Add support for disabling the shells on tty2 and tty3 by
      specifying a 'noshell' option on the kernel cmdline. Useful for
      unattended installations in a public place.
  * Set Vcs-Bzr field for Ubuntu to avoid further merges outside bzr.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 18:14:19 +0000

rootskel (1.70ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #303879)
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.
    - init: Add support for disabling the shells on tty2 and tty3 by
      specifying a 'noshell' option on the kernel cmdline. Useful for
      unattended installations in a public place.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Mon, 01 Dec 2008 11:30:18 +0530

rootskel (1.69ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.
    - init: Add support for disabling the shells on tty2 and tty3 by
      specifying a 'noshell' option on the kernel cmdline. Useful for
      unattended installations in a public place.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Nov 2008 12:24:43 +0000

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libklibc-dev
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel/ubuntu

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6), ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: any
Depends: klibc-utils-floppy-udeb (>= 1.5-2), libklibc-udeb
Description: Skeleton root filesystem used by debian-installer boot floppy

## rootskel 1.78ubuntu1

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -47,15 +47,9 @@
 	S04countcpus-linux-alpha
   endif
 
-  ifneq (,$(filter arm,$(DEB_HOST_ARCH_CPU)))
-    files += \
-	S02netwinder-net
-  endif
-
   ifneq (,$(filter hppa,$(DEB_HOST_ARCH_CPU)))
     files += \
-	S04countcpus-linux-hppa \
-	S45keyboard-linux-hppa
+	S04countcpus-linux-hppa
   endif
 
   ifneq (,$(filter arm armel,$(DEB_HOST_ARCH_CPU)))

=== debian/changelog ===
rootskel (1.78ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.

 -- Muharem Hrnjadovic <muharem@ubuntu.com>  Mon, 15 Jun 2009 12:20:30 +0200

rootskel (1.78) unstable; urgency=low

  [ Martin Michlmayr ]
  * Remove the udev rule for Netwinder since we no longer support this
    device.

  [ Christian Perrier ]
  * Bump debhelper compatibility level to 6
  * Add myself to uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jun 2009 19:09:32 +0200

rootskel (1.77) unstable; urgency=low

  * hppa: starting with kernel 2.6.29 the hilkbd module should be loaded
    automatically by udev.

 -- Frans Pop <fjp@debian.org>  Fri, 08 May 2009 07:46:36 +0200

rootskel (1.76ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Apr 2009 11:05:47 +0100

rootskel (1.76) unstable; urgency=low

  [ Frans Pop ]
  * Drop support for the ppc64 architecture.

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Apr 2009 11:52:17 +0100

rootskel (1.75) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Use 'update-dev --settle' rather than 'update-dev' after loading fbcon
      module. Requires di-utils 1.66.

 -- Otavio Salvador <otavio@debian.org>  Sun, 05 Apr 2009 17:55:41 -0300

rootskel (1.74) unstable; urgency=low

  * Merge from Ubuntu:
    - init: Add support for disabling the shells on tty2 and tty3 by
      specifying a 'noshell' option on the kernel cmdline. Useful for
      unattended installations in a public place (closes: #504381).

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 Feb 2009 05:57:38 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: standard
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libklibc-dev
+Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Christian Perrier <bubulle@debian.org>
+Build-Depends: debhelper (>= 6.0.0), dpkg-dev (>= 1.7.0), libklibc-dev
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel/ubuntu

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	dh_testroot
 
 	$(MAKE) install
-ifneq (,$(findstring $(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64 ppc64))
+ifneq (,$(findstring $(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64))
 	ln -s /lib debian/rootskel/lib64
 endif

## rootskel 1.81ubuntu3

=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,9 @@
 	proc \
 	sys
 
-files_exec = \
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+  files_exec = \
 	init
-     
+endif
+
 include ../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -15,12 +15,9 @@
 endif
 
 files = \
-	S01mount \
-	S02module-params \
 	S10syslog \
 	S20templates \
-	S35term \
-	S37speakup
+	S35term
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
@@ -58,6 +55,10 @@
 	S99signal-status
   endif
 
+  files += \
+	S01mount \
+	S02module-params \
+	S37speakup
 endif
 
 include ../../../Makefile.inc

=== src/lib/debian-installer.d/Makefile ===
--- 
+++ 
@@ -15,10 +15,10 @@
 endif
 
 files += \
-	S20speakup \
 	S30term \
 	S60frontend \
 	S65theme \
+	S70menu \
 	S72menu-exit
 
 ifeq ($(DEB_HOST_ARCH_CPU),sparc)
@@ -33,11 +33,12 @@
   endif
 
   files += \
-	S40term-linux \
-	S70menu-linux
-else
+	S20speakup \
+	S40term-linux
+endif
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
   files += \
-	S70menu
+  	S40term-kfreebsd
 endif
 
 include ../../../Makefile.inc

=== debian/changelog ===
rootskel (1.81ubuntu3) lucid; urgency=low

  * src/lib/debian-installer-startup.d/S40framebuffer-module-linux-x86:
    revert that last change; was fun while it lasted; seems that some
    non-English locales need the installer to run in fbcon; back to
    sed -i fb=0 hacking of the *.iso itself

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 24 Nov 2009 16:12:28 -0600

rootskel (1.81ubuntu2) lucid; urgency=low

  * src/lib/debian-installer-startup.d/S40framebuffer-module-linux-x86:
    do not use the frame buffer console, if running in a QEMU/KVM, LP: #487187

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 23 Nov 2009 11:22:38 -0600

rootskel (1.81ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 Nov 2009 20:16:00 -0800

rootskel (1.81) unstable; urgency=low

  * Fix a bashisms in /lib/debian-installer.d/S40term-kfreebsd.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Aug 2009 23:53:58 +0200

rootskel (1.80) unstable; urgency=low

  [ Colin Watson ]
  * Only build rootskel-bootfloppy on Linux architectures.

  [ Luca Favatella ]
  * Generalize code splitting Linux specific stuff.
  * GNU/kFreeBSD does not need klibc and udev.
  * Add GNU/kFreeBSD /etc/inittab, considering /dev/ttyv[1-3] instead of
    /dev/tty[2-4] (as on GNU/Linux).
  * Add GNU/kFreeBSD /etc/fstab and /sbin/init.
  * Add GNU/kFreeBSD /lib/debian-installer/detect-console.

  [ Otavio Salvador ]
  * Unix socket support is built-in since long ago so we don't need to
    load it.

  [ Aurelien Jarno ]
  * On GNU/kFreeBSD, mount fdescfs at boot time and set the default 
    module path. Depends on freebsd-utils-udeb (for sysctl).
  * src/lib/debian-installer-startup.d/Makefile: S01mount and S02module-params
    are Linux specific.
  * Add GNU/kFreeBSD /sbin/reopen-console.
  * Use a GNU/kFreeBSD specific script to exit the installer.
  * Add a S40term-kfreebsd to mute the console on boot time if it is not used.
  * Use a S70menu common to all architectures.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Aug 2009 23:15:13 +0200

rootskel (1.79) unstable; urgency=low

  * Let return code 11 to be handled by main-menu so live-installer can
    properly exit the installer.

 -- Otavio Salvador <otavio@debian.org>  Fri, 03 Jul 2009 08:23:38 -0300

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 6.0.0), dpkg-dev (>= 1.7.0), libklibc-dev [!kfreebsd-i386 !kfreebsd-amd64]
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel/ubuntu

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 lpia m68k mips mipsel powerpc sparc
Depends: klibc-utils-floppy-udeb (>= 1.5-2), libklibc-udeb
Description: Skeleton root filesystem used by debian-installer boot floppy

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_OPTIONS
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -23,6 +25,7 @@
 
 	dh_clean
 
+install: DH_OPTIONS=
 install: build
 	dh_testdir
 	dh_testroot
@@ -34,6 +37,7 @@
 
 binary-indep: build install
 
+binary-arch: DH_OPTIONS=-s
 binary-arch: build install
 	dh_testdir
 	dh_testroot

## rootskel 1.84ubuntu1

=== debian/changelog ===
rootskel (1.84ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 May 2010 18:13:40 +0100

rootskel (1.84) unstable; urgency=low

  [ Samuel Thibault ]
  * hurd-i386 does not need klibc.

  [ Frans Pop ]
  * Avoid an endless loop if the installer should be booted with init=/init.

 -- Frans Pop <fjp@debian.org>  Sun, 21 Mar 2010 16:06:12 +0100

rootskel (1.83) unstable; urgency=low

  * Remove reference to socket-modules udeb from /etc/modules.conf. The udeb
    is no longer used.
  * Be more precise regarding the new "console handover" message to avoid
    running into #499030 again.

 -- Frans Pop <fjp@debian.org>  Fri, 05 Mar 2010 15:01:52 +0100

rootskel (1.82) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.
  * reopen-console-linux: with 2.6.32 the format of "console handover" messages
    in dmesg changes; support both old and new format. Closes: #552278.
  * Drop support for the discontinued lpia architecture.

  [ Martin Michlmayr ]
  * reopen-console-linux: Ensure that the script works even when
    PRINTK_TIME is not set in the kernel.

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 00:37:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 6.0.0), dpkg-dev (>= 1.7.0), libklibc-dev [!kfreebsd-i386 !kfreebsd-amd64]
+Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0), libklibc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel/ubuntu
 
@@ -17,6 +17,6 @@
 Package: rootskel-bootfloppy
 XC-Package-Type: udeb
 Priority: extra
-Architecture: alpha amd64 arm armeb armel hppa i386 ia64 lpia m68k mips mipsel powerpc sparc
+Architecture: alpha amd64 arm armeb armel hppa i386 ia64 m68k mips mipsel powerpc sparc
 Depends: klibc-utils-floppy-udeb (>= 1.5-2), libklibc-udeb
 Description: Skeleton root filesystem used by debian-installer boot floppy
